import {
  PUBLIC_STATE_CREATED,
} from '../actions/types';

const initialState = {
  publicState: undefined,
  privateStates: []
};

export default function (state = initialState, action) {

  switch (action.type) {
    case PUBLIC_STATE_CREATED: {
      return {
        ...state,
        publicState: action.data
      };
    }
    default:
      return state;
  }
};
