import React, { Component } from 'react';
import PropTypes from 'prop-types';
import { loadQuestions } from '../../actions/appActions';
import { connect } from 'react-redux';

class QuestionList extends Component {

  render() {
    return (
      <h1>Questions</h1>
    )
  };
};

QuestionList.propTypes = {
  loadQuestions: PropTypes.func.isRequired,
  questions: PropTypes.array,
};

const mapStateToProps = state => ({
  questions: state.appData.questions,
  questionsLoadError: state.appData.questionsLoadError
});

export default connect(mapStateToProps, { loadQuestions })(QuestionList);
