import React, { Component } from 'react';
import { withRouter } from 'react-router-dom';

class PublicStateOverviewPage extends Component {

  constructor(props) {
    super(props);
    this.state = {
      name: undefined
    };
  }

  componentDidMount() {
    const name = this.props.match.params.name;
    this.setState({
      name: name
    });
  };

  render() {
    return (
      <div>
        <h1>Public State Overview: <em>{this.state.name}</em></h1>
      </div>
    )
  };
};

export default withRouter(PublicStateOverviewPage);
